Qt 5.6 | Qt Sensors | C++ Classes | QSensorBackendFactory

Qt 5.6.3 Reference Documentation

# QSensorBackendFactory Class

The QSensorBackendFactory class instantiates instances of QSensorBackend. More...

Header: | #include <QSensorBackendFactory>
qmake: | QT += sensors

- List of all members, including inherited members

## Public Functions

virtual QSensorBackend * | createBackend(QSensor *sensor) = 0

## Detailed Description

The QSensorBackendFactory class instantiates instances of QSensorBackend.

This interface must be implemented in order to register a sensor backend.

See also Creating a sensor plugin.

## Member Function Documentation

### `[pure virtual]` QSensorBackend *QSensorBackendFactory::createBackend(QSensor *sensor)

Instantiate a backend. If the factory handles multiple identifiers it should check with the sensor to see which one is requested.

If the factory cannot create a backend it should return 0.